Object.defineProperty(exports, "__esModule", { value: true });
const envStore_1 = require("./envStore");
// https://rohinbisht.medium.com/writing-a-custom-webpack-plugin-99126468516e
class EnvListWebpackPlugin {
    constructor(options = {}) {
        //@ts-ignore
        this.processor = options.processor;
    }
    validateFile(fileName) {
        console.log('-VALIDATE', fileName);
        return /\.js$/.test(fileName);
    }
    apply(compiler) {
        compiler.hooks.done.tap('EnvListWebpackPlugin', (compilation) => {
            envStore_1.default.printDetails();
        });
    }
}
exports.default = EnvListWebpackPlugin;
//# sourceMappingURL=plugin.js.map